@font-face {
    font-family: "Sarabun";
    src: url(fonts/Sarabun-Regular.ttf) format("truetype");
}
@font-face {
    font-family: "Sarabun-italic";
    src: url(fonts/Sarabun-Italic.ttf) format("truetype");
}


body{
    margin: 0;
    padding: 0;
    font-family: "Sarabun" ,Arial, Helvetica, sans-serif;
    background: rgb(2, 4, 34);
}

ol{
    list-style: none;
}

a{
    text-decoration: none;
}


a:link{
    color: #E3DEB8;
}
a:visited{
    color: #E3DEB8;
}
a:active{
    color: #E3DEB8;
}
a:hover{
    color: rgb(240, 239, 223);
}


.main-wrapper {
    width: 1440px;
    margin: auto;
}








/* HEADER */



header{
    width: 1440px;
    /* height: 365px; */
    /* background: #182F51; */
    color: white;
    display: flex;
    flex-wrap: wrap;
    
    background: #182F51;
}






/* TOP LOGO */


.top-logo{
    
    background: #182F51;
    background-image: url("img/index/logo-terra-sapce.svg");
    background-repeat: no-repeat;
    background-position: 10px 15px;
    width: 225px;
    height: 54px;
    text-indent: -1000000px;
    padding: 15px;
    
}

.top-logo a {
    display: block;
    height: 100%;
    width: 100%;
}









/* HEADER */

header{
    position: fixed;
}

header .main-nav {
    background: #182F51;
}

header .main-nav ol{
    margin-left: 380px; 
    display: flex;
}
header .main-nav li{
    font-size: 40px;
    font-weight: 100;
    margin-top: 0;
}


header nav ol li{
    margin: 0 20px;
}








/* TIMELINE */




.timeline{
    position: relative;
    /* top: -70px; */
    display: none;
}

#timeline-spacecraft{
    position: absolute;
    z-index: 10;
    display: none;
}
.timeline ol {
    padding: 0;
    margin: 0;
    width: 1440px;
    overflow: hidden;
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: repeat(1fr);
}

.timeline li {
	width: 215px;
	height: 130px;
	-webkit-transform: skew(-20deg);
	   -moz-transform: skew(-20deg);
	     -o-transform: skew(-20deg);
    /* background: #333; */
    margin: 0;
    padding: 0;
    border: 0;
    grid-row: 1/2;
    position: relative;
    left: -20px;
}


.timeline li a{
    width: 100%;
    height: 100%;;
}

.timeline li:nth-child(1){
    background: #4A679A;
}
.timeline li:nth-child(2){
    background: #3C537C;
}
.timeline li:nth-child(3){
    background: #35496E;
}
.timeline li:nth-child(4){
    background: #2C3E5D;
}
.timeline li:nth-child(5){
    background: #26344E;
}
.timeline li:nth-child(6){
    background: #1B2538;
}
.timeline li:nth-child(7){
    background: #121925;
}






/* HEDAER SECTION */


#header-section{
    /* background-image: url(img/index/moon-picture.png); */
    background: radial-gradient(rgba(27, 37, 56, 0.61), rgba(44, 62, 93, 0.808) ), url(img/index/moon-picture.png); 
    background-attachment: fixed;
    background-position: bottom;
    background-repeat: no-repeat;
    /* background-size: cover; */
    background-size: 220%;
    color: white;
    padding-top: 60px; 
}

#header-section article{
    height: 470px;
    display: grid;
    grid-template-rows: 1fr;
    /* background: rgba(255, 255, 255, 0.384); */
}

#header-section article h1{
    font-family: 'Rubik', sans-serif;
    letter-spacing: 4px;
    font-style: initial;
    font-weight: 100;
    width: 350px;
    font-size: 30px;
    font-weight: 200;
    grid-row: 1/2;
    padding: 50px;
    justify-self: right;
    align-self: center;

}
#header-section article img{
    grid-row: 1/2;
    align-self: end;
}


#header-section .bottom-contatiner{
    display: grid;
    text-align: center;
}

#header-section .bottom-contatiner h3{
    font-weight: 100;
    letter-spacing: 5px;
    font-size: 25px;
    padding-top: 60px; 
}

#header-section .bottom-contatiner div{
    background: #4A679A; 
}









/* ARTICLES */

#main-section{
    scroll-behavior: smooth;
}


#main-section article:nth-child(1){
    background: #4A679A;
}
#main-section article:nth-child(2){
    background: #3C537C;
}
#main-section article:nth-child(3){
    background: #35496E;
}
#main-section article:nth-child(4){
    background: #2C3E5D;
}
#main-section article:nth-child(5){
    background: #26344E;
}
#main-section article:nth-child(6){
    background: #1B2538;
}
#main-section article:nth-child(7){
    background: #121925;
}




article {
    /* background: green; */
    height: 626px;
    width: 1440px;
    /* display: grid;
    grid-template-rows: 1fr; */
}

article img {
}

article h1{
    padding: 0;
    margin: 0;
}





/* HISTORY ARTICLES */




            /* MAIN STYLES */
.info-section {
    color: white;
}
            
.info-section h2 {
    font-size: 40px;
    font-family: 'Rubik', sans-serif;
    font-weight: 100;
    margin-bottom: 10px;
}

.info-section h2 sup {
    font-size: 17px;
}


.info-section h3 {
    font-size: 33px;
    font-weight: 100;
    letter-spacing: 2px;
    margin: 0;
}

.info-section p {
    font-family: 'Rubik', sans-serif;
    font-size: 16px;
    width: 350px;
    padding-bottom: 15px;
}

.info-section ol {
    padding: 0;
    display: grid;
    grid-template-rows: 1fr;
    width: 130px;
}

.info-section li {
    grid-row: 1/2;
}

.info-section li img {
    width: 31px;
    height: 22px;
}





            /* GENERAL ARTICLS */



#hist-1928{
    
    padding-top: 200px; 
    display: grid;
    grid-template-rows: 1fr;
}

#hist-1928 * {
    grid-row: 1/2;
}

.year-1928 {
    display: grid;
    grid-template-rows: 1fr;
}

.year-1928 img {
    grid-row: 1/2;
    justify-self: center;
}

.year-1928 .info-section {
    grid-row: 1/2;
}







#hist-1942{
    
    padding-top: 200px; 
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 0.7fr;
}


.year-1942 {
    display: grid;
    grid-template-rows: 1fr 1fr;
    padding-left: 50px; 
}

.year-1942>img:nth-child(2) {

    /* border: solid 4px green; */
    justify-self: end;
}

.year-1942>img:nth-child(1) {
    /* border: solid 4px red; */
    justify-self: start;
    /* padding-left: 50px;  */
}

.year-1942 img {
    grid-row: 2/3;
    grid-column: 1/2;
}

.year-1942 .info-section {
    grid-row: 1/2;
}


.year-1946{
    justify-self: center;
}









#hist-1951{
    
    padding-top: 200px; 
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr 1fr 1fr;
}

#hist-1951>img{
    
    /* border: solid 4px blue; */
    grid-row: 1/3;
    grid-column: 2/3;
    align-self: center;
    margin-top: 30px;

}

#hist-1951 * {
    grid-row: 1/2;
}

.year-1951 {
    display: grid;
    grid-template-rows: 1fr 1fr;
    padding-left: 50px; 
}


.year-1951>img {
    /* border: solid 4px red; */
    grid-row: 2/3!important;
    justify-self: start;
    /* padding-left: 50px;  */
}


.year-1951 .info-section {
    grid-row: 1/2;
}


.year-1957{
    grid-column: 3/4;
    justify-self: center;
}









#hist-1961{
    
    padding-top: 200px; 
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr 1fr 1fr;
}

#hist-1961>img{
    
    /* border: solid 4px blue; */
    grid-row: 1/3;
    grid-column: 2/3;
    align-self: center;
    margin-top: 30px;

}

#hist-1961 * {
    grid-row: 1/2;
}

.year-1961-april-12 {
    display: grid;
    grid-template-rows: 1fr 1fr;
    padding-left: 50px;
    justify-self: center;
    margin-left: 60px;
}


.year-1961-april-12>img:nth-child(1) {

    /* border: solid 4px red; */
    margin-top: 50px 
}
.year-1961-april-12>img {
    grid-row: 2/3!important;
    justify-self: start;
    /* padding-left: 50px;  */
}


.year-1961-april-12 .info-section {
    grid-row: 1/2;
}


.year-1961-may-25{
    grid-column: 3/4;
    justify-self: center;
    margin-right: 60px;
}

.year-1961-may-25>img{
    margin-left: 200px; 
}

.year-1961-may-25 .info-section{
    
    /* border: solid 4px red; */
    margin-right: 200px;
}





#hist-1969{
    padding-top: 200px; 
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
}

.year-1969-july-16 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    grid-row: 1/3;
    grid-column: 1/3;
}

.year-1969-july-16>img{
    grid-row: 1/3;
    grid-column: 1/2;
    justify-self: center;
    align-self: center;
}


.year-1969-july-16 .info-section{
    
    
    grid-row: 1/2;
    grid-column: 2/3;
    justify-self: start;
    align-self: center;
}



.year-1969-july-20 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    grid-row: 1/3;
    grid-column: 2/4;
}


.year-1969-july-20>img{
    grid-row: 1/3;
    grid-column: 2/3;
    justify-self: center;
    align-self: center;
}


.year-1969-july-20 .info-section{
    
    /* border: solid 4px red; */
    grid-row: 2/3;
    grid-column: 1/2;
    justify-self: start;
    align-self: center;
}









#hist-1976{
    padding-top: 150px; 
    padding-bottom: 150px; 
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
}

#hist-1976>div{
    display: grid;
    justify-self: center;
    align-self: start;
    width: 300px;
}

#hist-1976>div>img{
    margin-top: 50px;
    grid-row: 2/3;
}

#hist-1976>div>.info-section{
    width: 300px;
    grid-row: 1/2;
}



#hist-1976>div:nth-child(1){
    /* border: solid 4px red; */
    /* margin-bottom: 400px;  */
}
#hist-1976>div:nth-child(2){
    margin-top: 50px; 
}
#hist-1976>div:nth-child(3){
    margin-top: 100px; 
}
#hist-1976>div:nth-child(4){
    margin-top: 150px; 
}




#hist-2002{
    padding-top: 200px; 
    /* padding-bottom: 150px;  */
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
}

#hist-2002>div{
    display: grid;
    justify-self: center;
    align-self: start;
    width: 300px;
}

#hist-2002>div>img{
    /* margin-top: 50px; */
    grid-column: 1/2;
    grid-row: 1/3;
}

#hist-2002>div>.info-section{
    /* width: 50px; */
    grid-row: 1/3;
    grid-column: 1/2;
    justify-self: center;
    margin-right: 30px;
    /* border: solid 4px red; */
}



#hist-2002>div>.info-section p{
    width: 230px;
}

#hist-2002 .img-by-text {
    font-size: 13px;
    font-style: italic;
    justify-self: end;
    align-self: end;
}







/* FOOTER */






footer{
    background: black;
    color: white;
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr;
    height: 510px;

}
footer img{
    width: 60px;
    letter-spacing: 4px:
    line-height: 20px;
}

footer .row1{
    grid-row: 1/2;
    grid-column: 1/2;

    /* border: solid 4px red; */
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 3fr 1fr;
    /* border: solid 4px red; */
}


footer .logo{
    /* background: #182F51; */
    background-image: url("img/index/logo-terra-space-white.svg");
    background-repeat: no-repeat;
    background-size: cover;
    /* background-position: 10px 15px; */
    width: 185px;
    height: 44px;
    text-indent: -100000px;
    margin-top: 60px; 
    /* padding: 15px; */
    
    /* border: solid 4px red; */
}

footer ol{
    margin-top: 50px;
    display: flex;
}

footer .row1 li{
    margin: 0 40px;
}


footer .row1 a{
    font-size: 30px;
    text-decoration: underline;
}


footer .row2{
    grid-row: 2/3;
    grid-column: 1/2;
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 3fr 1fr;
}

footer .row2>ol>li>a>img{
    height: none;
    width: 70px;
    padding: 30px
}

footer .row2>ol>li>a{
    display: block;
    width: 100%;
    height: 100%;
}

footer .row2>ol>li:nth-child(1)>a>img{
    width: 150px;
}
footer .row2>ol>li:nth-child(2)>a>img{
    width: 120px;
}
footer .row2>ol>li:nth-child(3)>a>img{
    /* border: solid 4px red; */
    position: relative;
    top: -5px;
}
footer .row2>ol>li:nth-child(4)>a>img{
    position: relative;
    top: -13px;
}
footer .row2>ol>li:nth-child(5)>a>img{
    position: relative;
    top: -14px;
}



.social-and-copyright img{
    height: 50px;
    padding: 10px;
}

.social-and-copyright h5{
    font-size: 22px;
    font-weight: 100;
    font-style: italic;
}



footer a:link{
    color: white;
}
footer a:visited{
    color: white;
}
footer a:active{
    color: white;
}
footer a:hover{
    color: #E3DEB8;
}


